
/**
* This exception is thrown if an error has occurred
* with the motion capture device
* <p>
* The exception contains the error message.
* To obtain the error message:
* exception.toString()
*
* @author Stephen Lawrence, Cardiff University
*
* @see java.lang.Exception
*/
public class MotionStarException extends Exception {
private static final long serialVersionUID = 1L;
public MotionStarException(String message)
{
super(message);
}
private
final static byte ERROR_CONNECTION = 10;
private final static byte ERROR_STATUS = 101;
private final static byte ERROR_RUN_CONTINUOUS = 104;
private final static byte ERROR_STOP = 105;
private final static byte ERROR_SHUT_DOWN = 11;
private final static byte ERROR_SINGLE_SHOT = 103;
private final static byte ERROR_DATA = -46;
}
